API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

DELETE
/github-apps/{github_app_id}

Delete a GitHub app if it's not being used by any applications.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

github_app_id*integer

GitHub App ID

Response Body

application/json

application/json

curl -X DELETE "https://app.coolify.io/api/v1/github-apps/0"
{  "message": "GitHub app deleted successfully"}
Empty
Empty
{  "message": "This GitHub app is being used by 5 application(s). Please delete all applications first."}